<template>
  <section class="py-6 bg-light t-vh">
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-lg-6">
          <div class="card shadow">
            <form v-on:submit.prevent="handleLoginFormSubmit()">
              <div class="card-body p-lg-5">
                <h4 class="mb-1">Administration de votre site</h4>

                <div class="form-group mt-5 input-group input-group-alternative">
                  <input
                    aria-describedby="addon-right addon-left"
                    placeholder="Email"
                    class="form-control"
                    v-model="login.email"
                  />
                </div>
                <div class="form-group input-group input-group-alternative">
                  <input
                    aria-describedby="addon-right addon-left"
                    placeholder="Mot de passe"
                    class="form-control"
                    type="password"
                    v-model="login.password"
                  />
                </div>
                <input type="hidden" name="sitealias" value="Aerial" v-model="login.sitealias" />
                <div class="form-group input-group input-group-alternative">
                  <b-check>Se souvenir de moi *</b-check>
                </div>
                <div class="form-group input-group input-group-alternative">
                  <p>
                    <a href="#">Mot de passe perdu ? *</a>
                  </p>
                </div>

                <button
                  type="button"
                  class="btn btn-block btn-default btn-lg"
                  round
                  @click="handleLoginFormSubmit()"
                >Connexion</button>
              </div>
            </form>
            <div class="petit-texte">* En cours de développement</div>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<style scoped>
.t-vh {
  height: 100vh;
  display: flex;
}
.petit-texte {
  color: red;
  font-size: 0.8em;
}
</style>


<script>
import { authenticationService } from "../_services/authentication.service";
export default {
  data() {
    return {
      drawer: null,
      // test 1
      login: {
        email: "gregory.aerialgroup@gmail.com",
        password: "secret",
        sitealias: "Aerial",
        // sitealias: process.env.VUE_APP_SITE_ALIAS,
      },
      token: null,
      authUser: {},
    };
  },

  methods: {
    handleLoginFormSubmit() {
      authenticationService.login(this.login);
    },
  },
};
</script>
